If You Love, Love Openly 

Twenty monks and one nun, who was named Eshun, were practicing meditation with a certain Zen master. 

Eshun was very pretty even though her head was shaved and her dress plain. Several monks secretly fell in love with her. One of them wrote her a love letter, insisting upon a private meeting. 

Eshun did not reply. The following day the master gave a lecture to the group, and when it was over, Eshun arose. Addressing the one who had written her, she said: "If you really love me so much, come and embrace me now."
